[HOME] [DOWNLOAD] [DOCS] [NEWS] [SUPPORT] [TIPS] [ISSUES] [DONATE]

[Solved] Upgrade from old version (7) to new version (8)

All

Am somewhat new to Whonix. I thought I read somewhere that the only way to upgrade from version 7 to 8 is by downloading the latest 'n greatest ~.OVA files and starting new virtual machines from scratch. Is this true?

Is there no way to [auto] upgrade versions of virtual machines without (pardon the PUn) virtually starting from scratch. I know how to migrate files from VM to VM but I’d like to avoid reinstalling standard tools each time I upgrade.

When I execute “sudo apt-get update && sudo apt-get dist-upgrad” I get the following error:…

W: GPG error: http://sourceforge.net stable Release: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY CB8D50BB77BB3C48
W: Failed to fetch http://deb.torproject.org/torproject.org/dists/tor-0.2.4.x-jessie/main/binary-i386/Packages 404 Not Found

Suggestions/Comments/Help

Thx in advance.

PS: My thx and appreciation to Whonix developers - to date this is the best solution I’ve found so far for hardened ‘anonymous’ environment.

Whonix 8 is based on Debian Stable Wheezy (7) and Whonix 7 is/was based on Debian Testing Jessie.

From Whonix 8 release notes:

Sorry, upgrading from existing Whonix version (0.5.6, 7, etc.) to Whonix 8 is not possible.

https://www.whonix.org/blog/whonix-8-released/

You need to download Whonix 8 .ova files to use Whonix 8.

Which tools do you find the need to install in Whonix? Software suggestions and preferences are helpful in planning which software to add to Whonix in the future.

p.s. [newbie ] <-- no need :wink:

Thanks, Occq, for clarifying the need for fresh start. Frankly I haven’t kept up with Debian releases over the years. But I can ‘appreciate’ differences between major releases.

As a [former] developer and Linux end=user typically I like a ‘standard’ set of tools: emacs, screen, compilers, etc… other development related tools.

However since Whonix’ mission is security and anonymity, typical tools I keep in my toolbox are: wipe, teamviewer, truecrypt, keepass, browser plugins, etc. I’ll need to make a script file to load these up every time Whonix makes major releases.

I assume then the error(s) I was getting during my attempt to ‘update/upgrade’ is because Jessie isn’t accessible any longer.

Thx again!

teamviewer
I highly recommend against using it. Especially with Whonix. It's a RAT after all.
browser plugins
Also recommend against doing this, i.e. do not modify Torbrowser fingerprint.
[Imprint] [Privacy Policy] [Cookie Policy] [Terms of Use] [E-Sign Consent] [DMCA] [Investors] [Priority Support] [Professional Support]